Bug 1011514 - session-migration: signal in subprocess ignored.
session-migration: signal in subprocess ignored.
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER5
: 6.0.0
Assigned To: Maciej Swiderski
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 08:59 EDT by Marek Baluch
Modified: 2014-08-06 16:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:12:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
parent process (2.85 KB, application/xml)
2013-09-24 08:59 EDT, Marek Baluch
no flags Details
child (sub) process (6.66 KB, application/xml)
2013-09-24 09:00 EDT, Marek Baluch
no flags Details

  None (edit)
Description Marek Baluch 2013-09-24 08:59:35 EDT
Created attachment 802214 [details]
parent process

Description of problem:
When a signal is expected in a subprocess it is ignored.

How to reproduce:
(using the attached processes)
1) start a process in jbpm5
2) signal it ("Continue" signal) in jbpm6.

Expected result:
Both process instances (parent and child) will be COMPLETED

Actual results:
Both process instances are in ACTIVE state

Note:
I found that when I access the process instances before the signal is made all is fine

KieSession ksession = restoreKnowledgeSession(sinfo.getSessionId(), "BPMN2-CallActivity.bpmn2", "BPMN2-CallActivitySubProcess.bpmn2");

for (Long pid : sinfo.getProcessInstanceIds()) {
    System.out.println("Instance: " + pid + ", State: " +     ksession.getProcessInstance(pid));
}
ksession.signalEvent("Continue", null);
ksession.dispose();
Comment 1 Marek Baluch 2013-09-24 09:00:05 EDT
Created attachment 802215 [details]
child (sub) process
Comment 2 Maciej Swiderski 2013-09-27 07:16:48 EDT
fixed by ensuring it does use same column name in EventTypes table

master:
https://github.com/droolsjbpm/jbpm/commit/fbdfd3535d1a820848b8300a81e70532e7c445c3

6.0.x
https://github.com/droolsjbpm/jbpm/commit/bf07a9f468445f80527459b8e2ff24b74aee9411
Comment 3 Marek Baluch 2013-11-25 06:27:55 EST
Verified on ER5.
Comment 4 Marco Rietveld 2013-12-12 09:38:26 EST
Just double checking: has this been verified on all supported databases?

Note You need to log in before you can comment on or make changes to this bug.